Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class SimpleGroovyPackageDoc

- org.codehaus.groovy.tools.groovydoc.SimpleGroovyPackageDoc

- All Implemented Interfaces and Traits:
    GroovyPackageDoc

      public class SimpleGroovyPackageDoc
      extends SimpleGroovyDoc

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleGroovyPackageDoc (String name)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `GroovyClassDoc[]` | `allClasses()`
    `GroovyClassDoc[]` | `allClasses(boolean arg0)`
    `String` | `description()`
    `GroovyClassDoc[]` | `enums()`
    `GroovyClassDoc[]` | `errors()`
    `GroovyClassDoc[]` | `exceptions()`
    `GroovyClassDoc` | `findClass(String arg0)`
    `String` | `getRelativeRootPath()`
    `GroovyClassDoc[]` | `interfaces()`
    `String` | `nameWithDots()`
    `GroovyClassDoc[]` | `ordinaryClasses()`
    `void` | `putAll(Map<String, GroovyClassDoc> classes)`
    `void` | `setDescription(String description)`
    `void` | `setSummary(String summary)`
    `String` | `summary()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SimpleGroovyDoc` | `calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, toString, tokenType`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public SimpleGroovyPackageDoc(String name)

  - ### Method Detail

    - #### public GroovyClassDoc[] allClasses()

    - #### public GroovyClassDoc[] allClasses(boolean arg0)

    - #### public String description()

    - #### public GroovyClassDoc[] enums()

    - #### public GroovyClassDoc[] errors()

    - #### public GroovyClassDoc[] exceptions()

    - #### public GroovyClassDoc findClass(String arg0)

    - #### public String getRelativeRootPath()

    - #### public GroovyClassDoc[] interfaces()

    - #### public String nameWithDots()

    - #### public GroovyClassDoc[] ordinaryClasses()

    - #### public void putAll(Map<String, GroovyClassDoc> classes)

    - #### public void setDescription(String description)

    - #### public void setSummary(String summary)

    - #### public String summary()